Arduino

## Serial.readBytesUntil()

#### Description

Serial.readBytesUntil() reads characters from the serial buffer into an array. The function terminates if the terminator character is detected, the determined length has been read, or it times out (see Serial.setTimeout()).

Serial.readBytesUntil() returns the number of characters read into the buffer. A 0 means no valid data was found.

Serial.readBytesUntil() inherits from the Stream utility class.

#### Syntax

Serial.readBytesUntil(character, buffer, length)

#### Parameters

character : the character to search for (char)
buffer: the buffer to store the bytes in (char[] or byte[]) length : the number of bytes to read (int)

#### Returns

byte

#### See also

- Stream
- Stream.readBytesUntil()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes